How can we help you today?


Preferred Browser and System Requirements

System requirements for Stock Doctor

Stock Doctor can run on any computer with an Internet connection and a browser.

Lincoln supports the most recent version of Microsoft Edge®, Mozilla® Firefox®, Google Chrome™ and Apple® Safari®.

The preferred and recommended browser is Google Chrome™

Please note:
Internet Explorer is not supported by Stock Doctor and we recommended that you download the latest version of Google Chrome.

How do I make Chrome my default browser ?
How to Import Bookmarks from another browser into Google Chrome ?

System requirements for Stock Doctor Advanced Online Charting Tool 

Supported on most recent version of Microsoft Edge®, Mozilla® Firefox®, Google Chrome™ and Apple® Safari®.

Tablet Operating Systems - iOS 11+ or Android 8+

An Internet Connection is required, we recommend a broadband connection for the best experience.

** Not supported on mobile phones. 

System requirements for Stock Doctor Mobile Site

Operating Systems - iOS 11+ or Android 8+

An Internet Connection is required, we recommend 3G/4G or wireless broadband connection.

Have more questions? Submit a request
Powered by Zendesk